/******************
    User custom CSS
    ---------------
}

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/
/* Cambia el fondo general de la página */
/******************
    User custom CSS
    ---------------
    In this file you can add your own custom CSS
*/
/******************
    User custom CSS con VARIABLES
    ---------------
*/

/* ===== VARIABLES GLOBALES ===== */

:root {
    /* Colores principales */
    --color-primario: #5036F9;  
    --color-fondo: #FBFAFF;        
    --color-texto: #1A1F36;         
    --color-advertencia: #FFB443; 
    --color-blanco: #FFFFFF;
    
    --color-botonSiguiente: #5036F9;
    --color-textoBotonSiguiente: #FFFFFF;
    --color-hoverBotonSiguiente: #3E29C7;
    
    --color-botonAnterior: #B0A4FF;
    --color-textoBotonAnterior: #FFFFFF;
    --color-hoverBotonAnterior: #8E7DFF;

    --botonSinRespuesta: #6B6B7C;
    
    /* Bordes y sombras */
    --borde-radio: 4px; 
}

/* ===== APLICAR LAS VARIABLES ===== */
/* Fondo general de la página */
/* html, body{
    background-color: var(--color-fondo) !important;
} */

/* Fondo del nav */
/* .navbar {
    background-color: var(--color-blanco) !important;
    box-shadow: 0 1px 20px 0 rgb(196, 196, 196);
} */

/* Botón Siguiente */
/* .btn-primary:not(.btn-default) {
    background-color: var(--color-botonSiguiente);
    border: 1px solid var(--color-botonSiguiente);
    color: var(--color-textoBotonSiguiente);
    border-radius: var(--borde-radio);
} */

/* Botón Siguiente hover*/
/* .btn-primary:not(.btn-default):hover {
    background-color: var(--color-hoverBotonSiguiente);
    border: 1px solid var(--color-blanco);
    border-radius: var(--borde-radio);
} */


/* Botón Anterior */
 /* *[class*=btn-outline-] {
    background-color: var(--color-botonAnterior);
    border: 1px solid var(--color-botonAnterior);
    color: var( --color-textoBotonAnterior);
    border-radius: var(--borde-radio);
} */

/* Botón Anterior Hover */
/* *[class*=btn-outline-]:hover {
    background-color: var(--color-hoverBotonAnterior);
    border-radius: var(--borde-radio);
    border: 1px solid var( --color-blanco);
    color: var( --color-textoBotonAnterior);
} */


/* CHECKBOX*/
/* CheckBox normal/vacío */
/* .privacy .checkbox-item label::before {
    border: 3px solid var(--color-primario);
} */

/* Borde checkbox apretado */
/* .checkbox-item input[type=checkbox]:checked + label::before {
    border-color: var(--color-primario);
} */

/* Color del contenido del checkbox */
/* .checkbox-item input[type=checkbox]:checked + label::after {
    background-color: transparent;
    color: var(--color-primario);
} */


/* ENLACES */
 /*a {
    color: var(--color-primario);
}*/ 


/* IDIOMA */
/* .form-change-lang #language-changer-select {
    color: var(--color-primario);
    background-color: transparent;
} */

/* Flecha del idioma */
/* .form-change-lang #lang-select::after {
    color: var(--color-primario);
} */


/* FONDO DE LAS PREGUNTAS */
/* .question-container {
    background-color: var(--color-fondo)!important;
} */


/* RADIO BUTTON */
/* Opciones de radio button - texto */
/* .radio-item input[type=radio]:checked + label {
    color: var(--color-primario);
} */

/* Color del BORDE EXTERIOR cuando está seleccionado */
/* .radio-item input[type="radio"]:checked + label::before {
    border: 2px solid var(--color-primario) !important; 
    background-color: transparent !important; 
} */

/* Color del PUNTO CENTRAL (el botón del medio) */
/* .radio-item input[type="radio"]:checked + label::after {
    background-color: var(--color-primario); 
    transform: scale(1); 
} */


/* El borde del text area y el placeholder*/
/* .form-control {
    color: var(--color-primario);
    border-color: var(--color-primario);
} */


/* Ocultar el logo LIMESURVEY*/
/* .ls-logo {
    display: none !important;
} */

/* Ocultar el footer con el logo LIMESURVEY*/
/* #surveyListFooter,
.footer,
footer[role="contentinfo"] {
    display: none !important;
} */

/* Ocultar imagen pantalla error */
/* .col.d-flex:has(img[alt="Survey Error"]) {
    display: none !important;
} */

/* FORMULARIOS*/
/* Color de los bordes del formulario */
/* .form-control.ls-important-field{
    border: 2px solid var(--color-primario) !important;
    box-shadow: 8px 8px 0px #EEEFF7;
} */

/* Color del label*/
/* .control-label {
    color: var(--color-primario);
    font-weight: bold;
} */

/* WARNING */
/* .alert-warning{
    border: 1.33px solid var(--color-blanco);
    background-color: var(--color-advertencia);
} */

/* SEGURIDAD*/
/* Ojo de ver la clave de acceso*/
/* .input-group-text, label .input-group-text {
    color: var(--color-blanco);
    background-color: var(--color-primario);
    border-color: var(--color-primario);
} 

.alert-info{
    border: 1.33px solid #1E1E1E;
    background-color: var(--bs-info);
    color: #ffffff;
}*/

/* INFORMACIÓN ALERTA*/
/* .alert-info {
    border: 1.33px solid var(--color-primario);
    background-color: var(--color-primario);
    color: var(--color-blanco);
} */

/* BOTÓN SIN RESPUESTA */
/* .btn-check:checked + .btn-primary, .btn-check:checked + .btn-primary:focus, .btn-check:focus:checked + .btn-primary{
    color: var(--color-blanco);
    background-color: var(--botonSinRespuesta);
    border-color: var(--botonSinRespuesta);
    box-shadow: none;
} 

.btn-primary:not(.btn-default):hover {
    background-color: var(--color-hoverBotonSiguiente);
    border: 1px solid var(--color-blanco);
    border-radius: var(--borde-radio);
}*/

#update-alert {
    display: none !important;
}

#update-alert,
div#update-alert {
    display: none !important;
    visibility: hidden !important;
}

